from Products.CMFCore.utils import getToolByName
from StringIO import StringIO

def install(self):
    """ Custom External Method to install SCAuditorium """

    out = StringIO()
    
    # make new types use portal_factory
    ft = getToolByName(self, 'portal_factory')
    portal_factory_types = ft.getFactoryTypes().keys()
    for t in ['SCAuditorium'
             ,'SCAuditoriumItem']: 

        if t not in portal_factory_types:
            portal_factory_types.append(t)
            ft.manage_setPortalFactoryTypes(listOfTypeIds=portal_factory_types)
            
    print >> out, 'New types use portal_factory'
