## Script (Python) "getComments"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Get comments for current Auditorium.
##

request = context.REQUEST
auditorium = context.getAuditorium()
pth = '/'.join(auditorium.getPhysicalPath())
query={'portal_type':'SCAuditoriumItem', 'sort_on':'created', 'sort_order':'reverse', 'path':pth}

# Comments search (not implemented in templates yet)
search_text = request.get('scic_search_text', None)
rstate = request.get('rstate', None)
author  = request.get('author', None)

if search_text:
    query['SearchableText'] = search_text

if rstate and rstate != 'all':
    query['review_state'] = rstate

if author:
    query['Creator'] = author


results = container.portal_catalog(**query)

return results
